
import java.rmi.* ;
import java.rmi.server.UnicastRemoteObject ;

public class HelloImpl extends UnicastRemoteObject implements Hello {

  public void hello() {
    System.out.println("Hello, other world\n") ;
  }

  public HelloImpl() throws RemoteException {}

  public static void main(String arg[]) {
    System.setSecurityManager(new RMISecurityManager()) ;

    try {
      Naming.rebind("//osprey3.npac.syr.edu:9991/Hello", new HelloImpl()) ;
    }
    catch (RemoteException e) {
      System.out.println("Error: " + e) ;
    }
    catch (java.net.MalformedURLException e) {
      System.out.println("URL Error: " + e) ;
    }
  }
}

